// Classe che contiene i data members comuni a tutti gli oggetti di creazione
// e la funzione di scansione.

#include <strings.h>
#include <mask.h>
#include <tabutil.h>
#include <lffiles.h>
#include <rectypes.h>
#include <config.h>
#include <checks.h>
#include <execp.h>
#include "ve6retv.h"            // definizione dei valori di ritorno
#include "ve6.h"
#include "ve6200a.h"                     // identificativi dei campi della maschera
#include "ve6gen.h"                     // dichiarazione della classe

bool TElaborazioni::errore_fatale (int err)
{
  switch (err)
  {
  case NO_ORG_DOCS:
  case RECORD_WRITE_ERROR:
  case ELAB_NOT_FOUND:
  case DOC_TYPE_NOT_FOUND:
  case READ_ERROR:
  case ESC_PRESSED:
  case NO_ELABS:
    return TRUE;
  default:
    return 0;
  }
}
